SplObjectStorage::offsetUnset
SplObjectStorage::removeAllExcept
SplObjectStorage
PHP Manual

# SplObjectStorage::removeAll

(PHP 5 >= 5.3.0)

SplObjectStorage::removeAll — Removes objects contained in another storage from the current storage

### Description

public void SplObjectStorage::removeAll ( SplObjectStorage `$storage` )

Removes objects contained in another storage from the current storage.

### Parameters

`storage`

  The storage containing the elements to remove.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::removeAll() example

`<?php
$o1 = new StdClass;
$o2 = new StdClass;
$a = new SplObjectStorage();
$a[$o1] = "foo";
$b = new SplObjectStorage();
$b[$o1] = "bar";
$b[$o2] = "gee";
var_dump(count($b));
$b->removeAll($a);
var_dump(count($b));
?>`

The above example will output something similar to:

    int(2)
    int(1)

### See Also

- SplObjectStorage::addAll() - Adds all objects from another storage

SplObjectStorage::offsetUnset
SplObjectStorage::removeAllExcept
SplObjectStorage
PHP Manual